# How to contribute to VBO

We welcome any and all kinds of contributions, including: 
- requests for changes in VBO, including new breed record, record duplication, incorrect breed information, or non-existent breeds.
- participation in discussions
- documentation improvements

## Keep in touch

The best way to be in touch with the VBO team is by creating an issue on our VBO GitHub repository: https://github.com/monarch-initiative/vertebrate-breed-ontology
See how to create a GitHub issue [here](https://oboacademy.github.io/obook/howto/term-request/)

We also share information about upcoming events (e.g. workshops) and new VBO version releases via email. Please join the VBO mailing list: vbo-users+subconfirm@tislab.org


## Request changes in VBO 
VBO is an open, community-driven ontology. We rely on the community to report errors or improvement in VBO based on their knowledge, experience, and use cases. 

All requests should be made by submitting an issue in our issue tracker https://github.com/monarch-initiative/vertebrate-breed-ontology/issues. Everyone is welcome and encouraged to submit an issue: all that is required is a GitHub account, which can be created for free [here](https://github.com/signup?user_email=&source=form-home-signup).

**New term requests**
When a breed term cannot be found in VBO, one can submit a request to add it. 

A good term request includes:
- the most common name for the breed (required*)
- the species of the breed (required*)
- any synonyms for the breed name
- any publication (e.g. PMID), references, and/or databases supporting the information (required*)
- the ORCID of the requester (so we can give you credit in the ontology)

Please note that bulk submissions (i.e. requesting more than one term at a time) are welcome. The VBO team can guide you through the best way to submit these requests in a spreadsheet format.

**changes to an existing VBO term**
It is possible that some information that is currently in VBO needs to be updated. These changes can include adding new synonyms or new sources of information, merging duplicate records into a single one, or removing a record representing a breed that never existed. 

For these requests, please add as much information as you can in the GitHub issue. Please make sure to include: 
- the VBO ID of the existing term for which changes are requested
- any publication (e.g. PMID), references, databases supporting your request
- the ORCID of the requester (so we can give you credit in the ontology)

## Participate in the discussions
We aim to make VBO development and maintenance a transparent process where decisions about changes and ontology modeling are not only available to the community, but also includes community feedback and participation. Community members are encouraged to participate in the conversation on existing GitHub issues and share their agreement, disagreement, and/or suggestions based on their expertise and knowledge. 
Anyone is able to comment on any GitHub issues, as long as they have a GitHub account, which can be created [here](https://github.com/signup?user_email=&source=form-home-signup).

## Make changes in VBO: 
We welcome suggestions and updates to our documentation via Pull Requests in GitHub. (Please see [here](_LINK to be added_) for instruction on how to create a Pull Request)

The current system to maintain VBO is based on spreadsheets/components (LINK to somewhere in the document), which is incompatible with changes being made directly in the ontology (ie changes to vbo-edit.owl file) as it is custom in other ontologies. If you are interested in being part of the VBO editor team and make changes directly to the ontology, please reach out to us (AT THIS EMAIL), and we will be happy to train you on the ontology editing.


