
# General Information about VBO

The Vertebrate Breed Ontology (VBO) was created by the Monarch Initiative, in collaboration with the Online Mendelian Inheritance in Animals ([OMIA](https://omia.org/home/)), as a means of incorporating all breed names into a single computable resource. The first version of VBO was based on the Domestic Animal Diversity Information System (DAD-IS) breeds list created and maintained by the United Nations’ Food and Agriculture Organization (FAO), and has been created using standard semantic engineering tools including the Ontology Development Kit (ODK).

VBO serves as a single, computable resource for vertebrate breed names. It is used in databases such as OMIA and veterinarian health records to make non-human information more computable and consistent, therefore enhancing data interoperability.

VBO is restricted to non-human vertebrate animal species. It covers breeds and breed populations for livestock, companion animals, and laboratory animals.

## What is a breed in VBO?  
Maybe definitions of 'breed' exist in the literature and in different communities. In VBO, a 'breed' is defined as : a group of animals that share specific characteristics (such as traits, behavior,...) that distinguish it from other organisms of the same species, and/or which cultural or geographical separation has led to the general acceptance of its separate identity.

Breeds included in VBO have been characterized, defined, and determined by international breed organizations, communities, experts, and/or have been reported in the literature (see table below).

## Breed information sources
The following table includes breed organizations, communities, and experts which reported, characterized, defined, and/or determined the breeds included in VBO

|Breeds| Sources| Sources links
|--|--|--|
|Livestock Breeds|Domestic Animal Diversity Information (DAD-IS)|https://www.fao.org/dad-is/en/
|Livestock Breeds|Livestock Breed Ontology (LBO)|https://www.animalgenome.org/bioinfo/projects/lbo/
|Cat Breeds|The Cat Fanciers’ Association (CFA)|https://cfa.org/initial
|Cat Breeds|Fédération Internationale Féline (FIFe)|http://fifeweb.org/index.php
|Cat Breeds|Governing Council of the Cat Fancy (GCCF)| https://www.gccfcats.org/
|Cat Breeds|Rare and Exotic Feline Registry (REFR)|https://www.rareexoticfelineregistry.com/
|Cat Breeds|The International Cat Association (TICA)|https://www.tica.org/
|Cat Breeds|Wikipedia, List of cat breeds (Wiki)|https://en.wikipedia.org/wiki/List_of_cat_breeds#Breeds
|Cat Breeds|World Cat Congress (WCC)|https://www.worldcatcongress.org/index.php
|Cat Breeds|World Cat Federation (WCF)|https://wcf.de/en/
|Cat Breeds|The Feline Genetics and Comparative Medicine Laboratory of Professor Leslie Lyons (Lyons)|http://felinegenetics.missouri.edu/
|Dog Breeds|American Kennel Club (AKC)|https://www.akc.org/
|Dog Breeds|Canadian Kennel Club (CKC)|https://www.ckc.ca/en
|Dog Breeds|Fédération Cynologique Internationale (FCI)|https://www.fci.be/en/
|Dog Breeds|iDog|https://ngdc.cncb.ac.cn/idog/
|Dog Breeds|The Kennel Club (KC)|https://www.thekennelclub.org.uk/
|Dog Breeds|Svenska Kennelklubbe (SKK)|*upcoming*|
|Dog Breeds|United Kennel Club (UKC)|https://www.ukcdogs.com/
|Dog Breeds|Wikipedia|https://en.wikipedia.org/wiki/List_of_dog_breeds
|Lab Animal Breeds|*upcoming*|



