
# Sources for Cat Breeds

## The Cat Fanciers’ Association (CFA)   
**Home page:**  https://cfa.org/

**Description:**  
The Cat Fanciers’ Association is a not-for-profit organization founded in 1906, after breaking ties with the American Cat Association. The association continues its mission by: Promoting the welfare of all cats through progressive actions which ranges from legislative advocacy to the support of feline research and providing breeder assistance; maintaining a focus on the quality of its breed standards and the validity of its registration and pedigrees; providing support to its member clubs who serve as Ambassadors to the general public; promoting the interests of breeders and exhibitors of pedigreed cats.

**Data breeds notes:**  
The word BREED is used to mean natural breeds, established breeds, mutations, and hybrids. A breed may have specific policies regarding allowable ancestry, import requirements, colors and other characteristics. CFA currently recognizes 45 pedigreed breeds, as well as non-pedigreed Companion Cats (CCW). Forty two breeds are eligible to compete in the Championship, Premiership, Kitten and Veteran Classes. Three breeds (the Khao Manee, Lykoi, and Toybob) are eligible to be shown in the non-competitive classes (Miscellaneous or Provisional), working toward advancement to championship status. Companion Cats (CCW) are eligible to compete in the Household Pet (HHP) class. Characteristics for breeds available here: https://cfa.org/breeds/.

**Data synchronization:**  
The data in VBO coming from this source is currently not regularly updated.


## Fédération Internationale Féline (FIFe)
**Home page:**  http://fifeweb.org/index.php

**Description:**  
The FIFe can be considered as the United Nations of Cat Federations. In fact it is a federation of national members representing, at present, 40 countries with 42 full members, but whose numbers continue to grow. These member organizations have chosen to follow the same rules with regard to the breed standards, breeding and registration, cattery names, shows, judges and student judges. This common interest has, over the years, been consolidated to create the high standard and international reputation of the FIFe.

**Data breeds notes:**  
The cat should exhibit the typical characteristics of its breed and its general health and well being should be evident. There are currently 48 fully recognized breeds. There are currently no breeds and varieties in the preliminary recognition phase. House cat longhair (HCL) and House cat shorthair (HCS) are non-recognized breeds. Characteristics for breeds available here: http://fifeweb.org/wp/breeds/breeds_prf_stn.php.

**Data synchronization:**  
The data in VBO coming from this source is currently not regularly updated.


## Governing Council of the Cat Fancy (GCCF)
**Home page:**  https://www.gccfcats.org/

**Description:**  
The premier cat registration organization in the UK dedicated to cat health, welfare and responsible breeding. The objective is to ensure that cats live healthy, happy lives. The GCCF operates a genetic based register. It is therefore fundamental to the spirit and ethos of the organisation that it should seek in every way to safeguard the genetic health and integrity of all breeds recognised for inclusion on that register. The General Breeding Policy offers advice and guidance for the dedicated and ethical breeder to (1) develop and progress any pedigree breed whether for show or companion purposes; (2) improve the quality of phenotype (appearance) of any given breed, through a robust process of selective breeding, towards the ideal described in the breed standard; and(3) maintain a robust, healthy and viable breeding population of any given breed through consideration of the genetic outcome of any breeding programme.

**Data breeds notes:**  
The GCCF recognises 40 different cat breeds. Some breeds have both long-haired and short-haired varieties. Characteristics for breeds and recognition status by breed available here: https://www.gccfcats.org/getting-a-cat/choosing/cat-breeds/.

**Data synchronization:**  
The data in VBO coming from this source is currently not regularly updated.


## The Feline Genetics and Comparative Medicine Laboratory of Professor Leslie Lyons (Lyons)
**Home page:**  http://felinegenetics.missouri.edu/

**Description:**  
The Feline Genetics and Comparative Medicine Laboratory of Professor Leslie Lyons (https://orcid.org/0000-0002-1628-7726) is located in the University of Missouri – College of Veterinary Medicine.  Research focuses on the genetics of the domestic cat and the development of genetic tools and resources that assist gene mapping in the cat and other companion animals.  Feline research is focused on the discovery of mutations that cause inherited diseases and phenotypic traits and in the population dynamics of breed development and domestic cat evolution.

**Data breeds notes:**  
The Feline Genetics and Comparative Medicine Laboratory of Professor Leslie Lyons maintains an unpublished list of cat breeds. Each cat breed in VBO which is also present in the unpublished list of cat breeds maintained by Professor Leslie Lyons contains the annotation property in VBO dcterms: contributor https://orcid.org/0000-0002-1628-7726.

**Data synchronization:**  
The data in VBO coming from this source is currently not regularly updated.


## Online Mendelian Inheritance in Animals (OMIA)
**Home page:**  https://www.omia.org/home/

**Description:**  
Online Mendelian Inheritance in Animals (OMIA) is a catalogue/compendium of inherited disorders, other (single-locus) traits, and associated genes and variants in 346 animal species (other than human and mouse and rats and zebrafish, which have their own resources) co-authored by Professor Frank Nicholas and Associate Professor Imke Tammen of the University of Sydney, Australia, with help from many people over the years. OMIA information is stored in a database that contains textual information and references, as well as links to relevant PubMed and Gene records at the NCBI, and to OMIM and Ensembl.

**Data breeds notes:**  
OMIA maintains an unpublished list of cat breeds and corresponding OMIA database identification numbers for each breed. For example, the OMIA breed identification number for Abyssinian in the OMIA database is 195.  Each cat breed in VBO which is also present in the unpublished list of cat breeds maintained by OMIA, contains the annotation property in VBO database_cross_reference OMIA: breed identification number.

**Data synchronization:**  
The data in VBO coming from this source is currently not regularly updated.  


## Rare and Exotic Feline Registry (REFR)
**Home page:**  https://www.rareexoticfelineregistry.com/

**Description:**  
The Rare and Exotic Feline Registry was founded in 1984 to promote the responsible development of new breeds of cats. The registry promotes the responsible breeding and health of all felines. The registry recognizes and registers most breeds of cats conforming to uniform breed profiles.  

**Data breeds notes:**  
Breed is defined as a population of cats which have certain physical characteristics in common. These characteristics are outlined in the written breed profile for each breed. Characteristics for breeds available here: https://www.rareexoticfelineregistry.com/breed-recognition/

**Data synchronization:**  
The data in VBO coming from this source is currently not regularly updated.


## The International Cat Association (TICA)
**Home page:**  https://www.tica.org/

**Description:**  
TICA is the world's largest genetic registry of pedigreed cats, and the world's largest registry of household pets. As the world's largest genetic registry of pedigreed cats, TICA currently recognizes 73 breeds of cats for championship competition. In addition, the number of breeds can change as new breeds are developed.

**Data breeds notes:**  
Championship Breeds: Breeds of cats who have been accepted for the championship and are recognized as being eligible to compete in TICA sanctioned shows and eligible for appropriate titles and/or computation of Annual Awards. These cats must be 8 months of age or more and may be male, female, neuter or spay. Pedigreed kittens (under 8 months of age) do not earn titles, but are eligible to compete in TICA sanctioned shows and may earn points towards Annual Awards. Non-Championship Breeds: This class consists of Household Pets and Household Pet Kittens. Household pets earn titles comparable to Championship cats and are eligible to compete in TICA sanctioned shows and may earn points towards Annual Awards. Household pet kittens do not earn titles, but are eligible to compete in TICA sanctioned shows and may earn points towards Annual Awards. Advanced New Breeds: The second level of the Championship Advancement Class Program. These breeds are eligible to be shown in TICA sanctioned shows but do not earn titles or points towards Annual Awards and must follow specific rules to be eligible for championship status. Preliminary New Breeds: The beginning level of the Championship Advancement Class Program. These breeds are eligible to be shown in TICA sanctioned shows but do not earn titles or points towards Annual Awards and must follow specific rules to be eligible for the next step in achieving championship status. Characteristics for breeds available here: https://www.tica.org/breeds/browse-all-breeds

**Data synchronization:**  
The data in VBO coming from this source is currently not regularly updated.  


## Wikipedia, List of cat breeds (Wiki)
**Home page:**  https://en.wikipedia.org/wiki/List_of_cat_breeds#Breeds

**Description:**  
The following list of cat breeds includes only domestic cat breeds and domestic and wild hybrids. The list includes established breeds recognized by various cat registries, new and experimental breeds, landraces being established as standardized breeds, distinct domestic populations not being actively developed and lapsed (extinct) breeds. Inconsistency in a breed classification and naming among registries means that an individual animal may be considered different breeds by different registries (though not necessarily eligible for registry in them all, depending on its exact ancestry).

**Data breeds notes:**  
Wikipedia does not report its own recognition status. Characteristics for breeds available here: https://en.wikipedia.org/wiki/List_of_cat_breeds#Breeds

**Data synchronization:**  
The data in VBO coming from this source is currently not regularly updated.   


## World Cat Congress (WCC)
**Home page:**  https://www.worldcatcongress.org/index.php

**Description:**  
The object of this Congress is to work openly and honestly together in a spirit of co-operation to improve the health and welfare of all cats and encourage the sharing of resources to promote the interests and to educate the participants of the ‘Cat Fancy’ throughout the world.

**Data breeds notes:**  
World Cat Congress does not report its own recognition status, but rather provides a comparison of breed name, recognition status, breed code, allowable outcrosses, recognized colors, breed restrictions and special notes for the member organizations that include CFA, FIFe, GCCF, TICA and WCF. Characteristics of breeds available here:  https://www.worldcatcongress.org/wp/cat_breed_comp_aby.php

**Data synchronization:**  
The data in VBO coming from this source is currently not regularly updated.   


## World Cat Federation (WCF)
**Home page:** https://wcf.de/en/

**Description:**  
The WCF is a global operating federation of cat clubs. The WCF is registered as an international federation at the registration court in Germany. Currently 280 associations worldwide are affiliated with the WCF.

**Data breeds notes:**  
Championship status is granted to all breeds recognized or preliminary recognized by WCF, to all breeds recognized by one WCC Member, and to all breeds recognized by a WCF Cooperation partner. The non-recognized breed category is comprised of Non Recognized Hairless, Non Recognized Shorthair and Non Recognized Longhair. Characteristics of breeds available here: https://wcf.de/en/

**Data synchronization:**  
The data in VBO coming from this source is currently not regularly updated.  
