# Sources for Dog Breeds


## American Kennel Club (AKC)  
**Home page:**  https://www.akc.org/

**Description:**  
Founded in 1884, the not-for-profit AKC is the recognized and trusted expert in breed, health, and training information for all dogs. AKC actively advocates for responsible dog ownership and is dedicated to advancing dog sports.

**Data breeds notes:**  
The AKC standard for each breed originates with a “parent club,” the AKC-recognized national club devoted to a particular breed. Each breed’s ideal physical traits, movement, and temperament are set down in a written document called a “breed standard.” Once approved by the AKC, a standard becomes both the breeder’s “blueprint” and the instrument used by dog show judges to evaluate a breeder’s work. There are over 340 dog breeds known throughout the world. The American Kennel Club recognizes 199 breeds, which are sorted into 9 groups: Sporting Group, Hound Group, Working Group, Terrier Group, Toy Group, Non-Sporting Group, Herding Group, Miscellaneous Class, and Foundation Stock Service. The Foundation Stock Service® allows purebred rare breeds to continue to develop while providing them with the security of a reliable and reputable avenue to maintain their records. Foundation Stock Service® is a requirement for fanciers of a breed who want to achieve full AKC recognition. FSS® breeds may now compete in Open Shows, Companion Events and Performance Events that AKC determines to be applicable.  Breeds must have a breed standard in order to compete.The breeds currently eligible to participate in the Miscellaneous Class are still enrolled in the AKC Foundation Stock Service®. FSS® enrollment is maintained until the AKC Board of Directors accepts the breed for regular status. Authorities acknowledge that throughout the world there are several hundred distinct breeds of purebred dogs, not all of which are AKC recognized breeds. Those officially recognized for AKC registration appear in the Stud Book of the American Kennel Club. The AKC provides for a regular path of development for a new breed, which may result in that breed’s full recognition and appearance in the official Stud Book as an AKC recognized breed.https://www.akc.org/dog-breeds/

**Data synchronization:**  
The data in VBO coming from this source is currently not regularly updated.  


##  Canadian Kennel Club (CKC)
**Home page:**  https://www.ckc.ca/en

**Description:**  
The Canadian Kennel Club (CKC) is the primary registry body for purebred dogs in Canada and currently recognizes 187 breeds. As a non-profit organization, the CKC is dedicated to encouraging, guiding, and advancing the interests of purebred dogs and their responsible owners and breeders in Canada and promoting the knowledge and understanding of the benefits which dogs can bring to Canadian society.

**Data breeds notes:**  
The CKC recognizes 187 breeds, which are sorted into seven groups: Herding Dogs, Hounds, Non-Sporting Dogs, Sporting Dogs, Terriers, Toy Dogs and Working Dogs. "Listed" breeds are in the process of gaining full CKC recognition. https://www.ckc.ca/en/Choosing-a-Dog/Choosing-a-Breed

**Data synchronization:**  
The data in VBO coming from this source is currently not regularly updated.  


##  Domestic Animal Diversity Information (DAD-IS)
**Home page:**  https://www.fao.org/dad-is

**Description:**  
DAD-IS is a list compiled and maintained by the Food and Agriculture Organization of the United Nations (FAO). This list contains information on more than 15,000 national breed populations representing more than 8,800 breeds across 38 species. It is assembled, contributed to, and updated by country-nominated National Coordinators from 182 countries.

**Data breeds notes:**  
DAD-IS represents 2 types of breeds: “local breeds” (breeds reported in a single country), and “transboundary breeds” (breeds reported in several different countries). The instance of “transboundary breeds” that are reported in specific countries are called in DAD-IS “national breed populations.” In addition to the breeds' most common name and country of existence, DAD-IS reports on the domestication status, the extinction status of breeds, and the description of origin of the breeds. https://www.fao.org/dad-is

**Data synchronization:**  
The data in VBO coming from this source is currently not regularly updated.  


##  Fédération Cynologique Internationale (FCI)
**Home page:**  https://www.fci.be/en/

**Description:**  
The Fédération Cynologique Internationale is the World Canine Organisation. It includes 98 members and contract partners (one member per country) that each issue their own pedigrees and train their own judges.

**Data breeds notes:**  
The FCI recognises 356 breeds in 10 groups: Group 1 - Sheepdogs and Cattledogs (except Swiss Cattledogs), Group 2 - Pinscher and Schnauzer - Molossoid and Swiss Mountain and Cattledogs, Group 3 - Terriers, Group 4 - Dachshunds, Group 5 - Spitz and primitive types, Group 6 - Scent hounds and related breeds, Group 7 - Pointing Dogs, Group 8 - Retrievers - Flushing Dogs - Water Dogs, Group 9 - Companion and Toy Dogs, Group 10 - Sighthounds. Each breed is the 'property' of a specific country. The 'owner' countries of the breeds write the standard of these breeds (detailed description of the ideal type of the breed), in co-operation with the Standards and Scientific Commissions of the FCI. The translation, updating and publication of the standards are carried out by the FCI. FCI breeds recognised on a definitive basis are eligible for the CACIB (Certificat d’Aptitude au Championnat International de la FCI) and for the FCI titles (Winner of the World Dog Show, Winner of the Section Shows – Europe, Asia and the Pacific, Americas and the Caribbean). FCI breeds recognised on a provisional basis are not eligible for the CACIB until they are recognised on a definitive basis, but are eligible for the FCI titles (Winner of the World Dog Show, Winner of the Section Shows – Europe, Asia and the Pacific, Americas and the Caribbean). In addition, the pedigrees issued to the dogs of these breeds have to carry the FCI logo. https://www.fci.be/en/Nomenclature/

**Data synchronization:**  
The data in VBO coming from this source is currently not regularly updated.  

##  iDog - National Genomics Data Center
**Home page:**  https://ngdc.cncb.ac.cn/idog/

**Description:**  
iDog, an integrated resource for domestic dog (Canis lupus familiaris) and wild canids, provides the worldwide dog research community a variety of data services. This includes Genes, Genomes, SNPs, Breed/Disease Traits, Gene Expressions, Single Cell, Dog-Human Homolog Diseases and Literatures. In addition, iDog provides Online tools for performing genomic data visualization and analyses.

**Data breeds notes:**  
iDog focuses on the Phenotype data integrated from the public resources, makes the unified naming standards to identify each breed, connects the genotype, phenotype and disease information with associated gene items, and provides public and free data services. A total of 481 breeds are manually curated from public resources: 265 AKC breeds, 32 CKC breeds, 111 UKC breeds, 38 FCI breeds, 35 wikipedia breeds. There are 10 breed groups: FSS, Herding Group, Hound Group, Miscellaneous, Non-Sporting Group, Terrier Group, Toy Group, Working Group, and Extinct. https://ngdc.cncb.ac.cn/idog/breed/home

**Data synchronization:**  
The data in VBO coming from this source is currently not regularly updated.  


##  The Kennel Club (KC)
**Home page:**  https://www.thekennelclub.org.uk/

**Description:**  
The Kennel Club the largest organisation in the UK devoted to dog health, welfare and training. Its objective is to ensure that dogs live healthy, happy lives with responsible owners. The Kennel Club runs the UK's largest registration database for pedigree dogs and an activity register for crossbreed dogs.

**Data breeds notes:**  
There are 222 recognized breeds in 7 breed groups: Pastoral, Gundog, Hound, Utility, Terrier, Working, and Toy. https://www.thekennelclub.org.uk/search/breeds-a-to-z/

**Data synchronization:**  
The data in VBO coming from this source is currently not regularly updated.  


##  Swedish Kennel Club (Svenska Kennelklubben, SKK)
**Home page:**  https://www.skk.se/en

**Description:**  
Svenska Kennelklubben, the Swedish kennel club, is Sweden's largest organisation dedicated to dogs and dog owners. SKK represents the interests of 300,000 members – first time dog owners, experienced breeders, hunters, dog lovers, puppy buyers, exhibitors, agility competitors and many more. SKK promotes the health and welfare of all dogs, and gives support to more than 14,000 active breeders.

**Data breeds notes:**  
There are 10 breed groups corresponding to the FCI breed groups. https://www.skk.se/en/Dog-health/BSI--Breed-Specific-Instructions/

**Data synchronization:**  
This source is not yet available in VBO.


## United Kennel Club (UKC)
**Home page:**  https://www.ukcdogs.com/

**Description:**  
A Kalamazoo, Michigan-based company founded in 1898, United Kennel Club is the largest all-breed performance-dog registry in the world, registering dogs from all 50 states and 25 foreign countries. The UKC is an international registry and currently recognizes over 300 separate breeds.

**Data breeds notes:**  
Each breed was developed for a specific purpose or function. The UKC standards contained herein are intended for use by people already familiar with the breeds they describe, such as responsible breeders and UKC judges. They are not intended for use by other organizations for breed identification and should not be adopted for those or similar purposes, either in part or as a whole. Each breed has its own breed standard. Breeds are assigned to one of 8 Groups based on its past and present function, historical origins and region of development: Companion Dog, Guardian Dog, Gun Dog, Herding Dog, Northern Breed, Scenthound, Sight and Pariah, and Terrier. Breed recognition is a significant landmark for a breed, in that it will become officially recognized by the world's largest performance dog registry. Full recognition entitles a breed to all the benefits of UKC, including, but not limited to, registration and participation in conformation and performance events licensed by the United Kennel Club. Therefore, the United Kennel Club prepared the following Breed Recognition Policies, all of which must be completed in order for a breed to be considered for recognition. Submission of this does not guarantee acceptance. The United Kennel Club does not consider a variation of an existing breed, or a result of a combination of two existing breeds, to be a new and unique breed. This includes, but is not limited to, differences in color, coat type, size or any disqualifications that may exist in the UKC Breed Standard for an existing breed. UKC reserves the right to refuse, correct or revoke any registration at any time. https://www.ukcdogs.com/breeds

**Data synchronization:**  
The data in VBO coming from this source is currently not regularly updated.  


## Veterinary Nomenclature (VeNom)
**Home page:**  https://venomcoding.org/

**Description:**  
The canine breed codes currently consist of breeds that are recognised by kennel clubs across the world. Where possible all synonyms of the same breed have been linked in the codes to each other, and are independent of their colour coding unless it is specific to that breed. Similar breeds have been grouped together using standard categories (e.g. Retrievers or Spaniels). The list is very inclusive to ensure all types of dog breeds are covered, and first generation pedigree crosses (such as Labradoodle or Puggle) are also included to assist with data capture. Non-standard cross breed dogs are recorded as synonyms of ‘Crossbreed’. https://venomcoding.org/venom-codes/

**Data breeds notes:**  
Note that not all dogs listed are recognized breeds by an official breed registry that can certify the dog is a purebred.

**Data synchronization:**  
The data in VBO coming from this source is currently not regularly updated.  


## Wikipedia
**Home page:**  https://en.wikipedia.org/wiki/List_of_dog_breeds

**Description:**  
This list of dog breeds includes both extant and extinct dog breeds, varieties, landraces, and dog types. A research article on dog genomics published in Science/AAAS defines modern dog breeds as "a recent invention defined by conformation to a physical ideal and purity of lineage.”

**Data breeds notes:**  
Note that not all dogs listed are recognized breeds by an official breed registry that can certify the dog is a purebred.

**Data synchronization:**  
The data in VBO coming from this source is currently not regularly updated.  

