
# Sources for Livestock Breeds

## Domestic Animal Diversity Information (DAD-IS)
**Home page:** https://www.fao.org/dad-is  

**Description:**  
DAD-IS is a list compiled and maintained by the Food and Agriculture Organization of the United Nations (FAO). This list contains information on more than 15,000 national breed populations representing more than 8,800 breeds across 38 species. It is assembled, contributed to, updated, and maintained by country-nominated National Coordinators from 182 countries. The goal of DAD-IS is the Management of Animal Genetic Resources, focusing on diversity of livestock breeds on national, regional and global levels including the status of breeds regarding their risk of extinction.  

**Data breeds notes:**  
Because of the specific goal of DAD-IS and how it is maintained, breeds and breed information are specific to these breeds’ country localization as reported by the National Coordinators.  
DAD-IS makes the distinction between  2 types of breeds: “local breeds” (breeds reported in a single country), and “transboundary breeds” (breeds reported in several different countries). The instance of a “transboundary breed” that are reported in specific countries is called in DAD-IS “national breed populations”. 
Breeds in the DAD-IS list (except for the “transboundary” breeds) therefore represent instances of breeds located in a specific country as reported by the National Coordinators. This concept is specific to DAD-IS, and is represented accordingly in VBO as “breed located_in a specific country”. 
VBO users should be aware of this concept, as they are unique to DAD-IS and rarely used in other contexts. 

**Data synchronization:**  
the data in VBO coming from this source is currently not regularly updated.

## Livestock Breeds - Livestock Breed Ontology (LBO)
**Home page:** https://www.animalgenome.org/bioinfo/projects/lbo/   

**Description:**  
LBO is a controlled, publicly available and regularly updated and released vocabulary for the unambiguous description of buffalo, cattle, chicken, goat, horse, pig, and sheep breeds. Its utility includes proper identification of inherited variation sources in genetics/genomic studies. There are currently 1,129 classes in LBO. LBO metadata includes synonyms and description of origin. 

**Data breeds notes:**  
LBO terms were included in VBO as database cross-references.

**Data synchronization:**  
the data in VBO coming from this source is currently not regularly updated.