# A brief history of VBO

[Online Mendelian Inheritance in Animals (OMIA)](https://omia.org) provides up-to-date summary information on all known harmful and beneficial variants in vertebrates (apart from those vertebrates that have their own similar resource), together with background information on all known inherited disorders and non-disease traits, which are collectively called ‘phenes’. OMIA is hosted by the Sydney School of Veterinary Science (SSVS) within the University of Sydney.

As OMIA developed over the past 26 years, breed names were entered as published in the papers reporting the phenes. Inevitably, the resultant OMIA list of breed names contains inconsistencies, duplications and errors. The ever-increasing inter-connectedness of the internet has highlighted the need for OMIA to adopt a standardised vocabulary for breeds that will enable OMIA to be reciprocally hyperlinked with other relevant internet resources.

The Anstee Hub for Inherited Diseases of Animals (AHIDA) is a new initiative from the SSVS. Currently under development by the Sydney Informatics Hub (SIH) in collaboration the AHIDA team, and with a projected launch in 2022, it will be a web resource for surveillance, reporting and control of inherited diseases in animals. As with OMIA, AHIDA requires a standardised vocabulary for breeds that will enable AHIDA to be reciprocally hyperlinked with other relevant internet resources.

Inspired by the development of the [Livestock Breed Ontology (LBO)](https://www.animalgenome.org/bioinfo/projects/lbo/) by Zhiliang Hu, James Reecy and Cari Park at Iowa State University (ISU), the OMIA and AHIDA teams are collaborating with the SIH, with the instigators of the [Monarch Initiative](https://monarchinitiative.org/) and some of their colleagues, and with the creators of LBO to create a breed ontology ― a Vertebrate Breed Ontology (VBO) ― that will include all the known breed names (including synonyms) for all species that are relevant to OMIA and AHIDA.

By far the most comprehensive global resource for breeds is the list of breed names and synonyms compiled by the Food and Agriculture Organisation (FAO) of the United Nations in its [Domestic Animal Diversity Information System (DADIS)](https://www.fao.org/dad-is/data/en/). A powerful attribute of DADIS is that its information is contributed and updated by designated National Coordinators from each of 182 countries. DADIS contains information on more than 15,000 national breed populations representing more than 8,800 breeds across 38 species.

In collaboration with FAO colleagues responsible for DADIS (Roswitha Baumung and Gregoire Leroy), the VBO team is using the DADIS list of breed names and synonyms as the basis for the development of the VBO. 

Breed names and synonyms not included in the DADIS list, e.g. for cats, will be added to the VBO. OMIA breed names will then be mapped to VBO ids, as will LBO ids and ids or names from other relevant breed lists. Once developed, the VBO will be incorporated into OMIA and AHIDA, and will be made freely available.
It is recognised that, as with the LBO, there will be a continual need for enhancement of the VBO. 

More information can be found at http://obofoundry.org/ontology/vbo
